--local BS = AceLibrary("Babble-Spell-2.2");
--Example of BS usage for localization:
--[BS["Corruption"]] 
--[BS["Shadow Bolt"]]

--DONT ADD SPELLS LEARNED BEFORE LEVEL 20

--Spells with additional effects, like a slowing effect, get a 5% penalty to damage and healing bonuses. This penalty is applied after the spell type calculation, before other penalties. For example, a standard area of effect spell with an slow effect would be calculated like so:
--((Cast Time of Spell / 3.5 ) * .95 Penalty for extra effect) / 3 = Benefit 
--Examples of these spells include: Entangling Roots (Druid), Mind Flay (Priest), Blast Wave (Mage) 

WarlockTable = {

	spellInfo = {
		["Corruption"] = {
					["0"] = { School = "Shadow", eDot = true },
					["5"] = { bMin=486, bMax=486, castTime = 2, eDuration = 18, },
					["6"] = { bMin=666, bMax=666, castTime = 2, eDuration = 18, },
					["7"] = { bMin=822, bMax=822, castTime = 2, eDuration = 18, }, 
				},
		["Shadow Bolt"] = {
					["0"] = { School = "Shadow", canCrit = true, CastMod = 0.1, },
					["7"] = { bMin=281, bMax=315, castTime=3, },
					["8"] = { bMin=360, bMax=402, castTime=3, },
					["9"] = { bMin=455, bMax=507, castTime=3, },
					["10"] ={ bMin=482, bMax=538, castTime=3, },
					["11"] ={ bMin=541, bMax=603, castTime=3, },
				},
		["Curse of Agony"] = {
					["0"] = { School = "Shadow", eDot = true, },
					["5"] = { bMin=780, bMax=780, castTime=1.5, eDuration = 24, },
					["6"] = { bMin=1044, bMax=1044, castTime=1.5, eDuration = 24, },
					["7"] = { bMin=1356, bMax=1356, castTime=1.5, eDuration = 24, },
				},
		["Curse of Doom"] = {
					["0"] = { School = "Shadow", eDot = true, },
					["1"] = { bMin=3200, bMax=3200, castTime=1.5, eDuration = 60, },
					["2"] = { bMin=4200, bMax=4200, castTime=1.5, eDuration = 60, },
				},
		["Death Coil"] = {
					["0"] = { School = "Shadow", sFactor = 0.5, },
					["2"] = { bMin=319, bMax=319, castTime=1.5, eDuration = 2, },
					["3"] = { bMin=446, bMax=447, castTime=1.5, eDuration = 2, },
					["4"] = { bMin=519, bMax=519, castTime=1.5, eDuration = 2, },
				},
		["Drain Life"] = {
					["0"] = { School = "Shadow", sHits = 5, sFactor = 0.5, },
					["5"] = { bMin=55, bMax=55, castTime=5 },
					["6"] = { bMin=71, bMax=71, castTime=5 },
					["7"] = { bMin=87, bMax=87, castTime=5 },
					["8"] = { bMin=108, bMax=108, castTime=5 },
				},
		["Drain Soul"] = { 
					["0"] = { School = "Shadow", sFactor = 0.5, },
					["4"] = { bMin=455, bMax=455, castTime=15 },
					["5"] = { bMin=620, bMax=620, castTime=15 },
				},
		["Siphon Life"] = {
					["0"] = { School = "Shadow", sHits = 10, eDot = true, sFactor = 0.5, },
					["4"] = { bMin=45, bMax=45, castTime=1.5, eDuration = 30 },
					["5"] = { bMin=52, bMax=52, castTime=1.5, eDuration = 30 },
					["6"] = { bMin=63, bMax=63, castTime=1.5, eDuration = 30 },
				},
		["Searing Pain"] = { 
					["0"] = { School = "Fire", canCrit = true, },
					["5"] = { bMin=158, bMax=188, castTime=1.5, },
					["6"] = { bMin=208, bMax=244, castTime=1.5, },
					["7"] = { bMin=243, bMax=287, castTime=1.5, },
					["8"] = { bMin=270, bMax=320, castTime=1.5, },
				},
		["Soul Fire"] = {
					["0"] = { School = "Fire", canCrit = true, CastMod = 0.4, },
					["1"] = { bMin=623, bMax=783, castTime=6, },
					["2"] = { bMin=715, bMax=894, castTime=6, },
					["3"] = { bMin=839, bMax=1051, castTime=6, },
					["4"] = { bMin=1003, bMax=1257, castTime=6, },
				},
		["Shadowburn"] = {
					["0"] = { School = "Shadow", canCrit = true, },
					["5"] = { bMin=350, bMax=392, castTime=1.5 },
					["6"] = { bMin=450, bMax=502, castTime=1.5 },
					["7"] = { bMin=518, bMax=578, castTime=1.5 },
					["8"] = { bMin=597, bMax=665, castTime=1.5 },
				},
		["Immolate"] = {
					["0"] = { School = "Fire", canCrit = true, CastMod = 0.1, sFactor = 0.349, },
					["5"] = { bMin=134, bMax=134, hybridDotDmg = 255, castTime=2, eDuration = 15, },
					["6"] = { bMin=192, bMax=192, hybridDotDmg = 365, castTime=2, eDuration = 15, },
					["7"] = { bMin=258, bMax=258, hybridDotDmg = 485, castTime=2, eDuration = 15, },
					["8"] = { bMin=279, bMax=279, hybridDotDmg = 510, castTime=2, eDuration = 15, },
					["9"] = { bMin=327, bMax=327, hybridDotDmg = 615, castTime=2, eDuration = 15, },
				},
		["Hellfire"] = {
					["0"] = { School = "Fire", sHits = 15, sFactor = 1/3, },
					["2"] = { bMin=139, bMax=139, castTime=15, },
					["3"] = { bMin=212, bMax=213, castTime=15, },
					["4"] = { bMin=306, bMax=306, castTime=15, },
				},
		["Rain of Fire"] = { 
					["0"] = { School = "Fire", sFactor = 1/3, },
					["3"] = { bMin=620, bMax=620, castTime=8, },
					["4"] = { bMin=908, bMax=912, castTime=8, },
					["5"] = { bMin=1212, bMax=1212, castTime=8, },
				},
		["Unstable Affliction"] = {
					["0"] = { School = "Shadow", eDot = true },
					["1"] = { bMin=660, bMax=660, castTime = 1.5, eDuration = 18, },
					["2"] = { bMin=840, bMax=840, castTime = 1.5, eDuration = 18, },
					["3"] = { bMin=1050, bMax=1050, castTime = 1.5, eDuration = 18, },
				},
		["Conflagrate"] = { 
					["0"] = { School = "Fire", canCrit = true },
					["1"] = { bMin=240, bMax=306, castTime = 1.5, },
					["2"] = { bMin=316, bMax=396, castTime = 1.5, },
					["3"] = { bMin=383, bMax=479, castTime = 1.5, },
					["4"] = { bMin=447, bMax=457, castTime = 1.5, },
					["5"] = { bMin=512, bMax=638, castTime = 1.5, },
					["6"] = { bMin=579, bMax=721, castTime = 1.5, },
				},
	},	

 	talentInfo = {
		["Contagion"] = { Effect = 0.01, Spells = { "Curse of Agony", "Corruption", "Seed of Corruption" }, },
		["Shadow Mastery"] = { Effect = 0.02, Spells = { "Unstable Affliction", "Siphon Life", "Drain Life", "Drain Soul", "Shadowburn", "Shadow Bolt", "Corruption", "Curse of Agony" }, Spells2 = { "Death Coil" }, ModType2 = "SpellDamageBonus", },	
		["Improved Curse of Agony"] = { Effect = 0.05, Spells = { "Curse of Agony" }, },
		["Empowered Corruption"] = { Effect = 0.12, Spells = { "Corruption" }, ModType = "SpellDamage" },
		["Emberstorm"] = { Effect = 0.02, Spells = { "Searing Pain", "Immolate", "Soul Fire", "Hellfire", "Rain of Fire", "Incinerate", "Conflagrate" }, },
		["Improved Immolate"] = { Effect = 0.05, Spells = { "Immolate" }, ModType = "BaseNuke" },
		["Shadow and Flame"] = { Effect = 0.04, Spells = { "Shadow Bolt", "Incinerate" }, ModType = "SpellDamage" },
		["Bane"] = { Effect = 1, Spells = { "Shadow Bolt", "Immolate", "Soul Fire" }, ModType = "CastTime" },
		["Demonic Tactics"] = { Effect = 0.01, Spells = { "All" }, },
		["Improved Corruption"] = { Effect = 0.04, Spells = { "Corruption" }, ModType = "CastTime" },
		["Devastation"] = { Effect = 1, Spells = { "All" }, ModType = "Crit", },
		["Backlash"] = { Effect = 1, Spells = { "All" }, ModType = "Crit", },
		["Improved Searing Pain"] = { Effect = 10/3, Spells = { "Searing Pain" }, ModType = "Crit", },
		["Ruin"] = { Effect = 1, Spells = { "All" }, ModType = "CritMultiplier", },
		["Demonic Knowledge"] = { Effect = 0.05, Spells = { "All" }, ModType = "Special" },
		["Improved Shadow Bolt"] = { Effect = 0.05, Spells = { "Shadow Bolt" }, ModType = "Special" }
	},
}

MageTable = {

--If igniteable then add to ["0"]= { Ignite = true .... }
--For fireball DoT (not affected by much..).. add into respective rank extraDotDmg example ["4"] = { bMin=xxx, bMax=xxx, extraDotDmg = 42 ...
--For pyroblast DoT (dot affected by spelldamage -> hybrid spell).. add into respective rank hybridDotDmg example ["3"] = { bmMin=xxx, bMax=xxx, hybridDotDmg = 403 ...
--Remeber to add eDuration for Pyroblast DoT and Fireball DoT

	spellInfo = { },
	talentInfo = { },
}

PriestTable = {

	spellInfo = { },
	talentInfo = { },
}